/****************************************************************************
** Form implementation generated from reading ui file 'forms\InstructionScreen.ui'
**
** Created: Tue Jan 17 15:42:37 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.3   edited Nov 24 2003 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "InstructionScreen.h"

#include <qvariant.h>
#include <qtextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

/*
 *  Constructs a InstructionScreen as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
InstructionScreen::InstructionScreen( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "InstructionScreen" );

    tbox_instructions = new QTextEdit( this, "tbox_instructions" );
    tbox_instructions->setEnabled( TRUE );
    tbox_instructions->setGeometry( QRect( 0, 0, 470, 360 ) );
    tbox_instructions->setResizePolicy( QTextEdit::AutoOneFit );
    tbox_instructions->setWordWrap( QTextEdit::WidgetWidth );
    tbox_instructions->setAutoFormatting( int( QTextEdit::AutoAll ) );
    languageChange();
    resize( QSize(468, 353).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
InstructionScreen::~InstructionScreen()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void InstructionScreen::languageChange()
{
    setCaption( tr( "Instructions" ) );
    tbox_instructions->setText( tr( "Briefly...\n"
"This application demonstrates the 'Belt-Trick'. Belt-trick helps in visualizing properties of the group of 3-dimensional Rotations (or the Group SO(3) ) using Quaternions. \n"
"\n"
"The goal is to untwist a flat piece of belt, which has undergone an initial twist of 360- or 720-degrees. The belt can be manipulated in space as long as two constraints are met: (a) orientations of end segments of belt remain same and (b) belt is not torn or cut\n"
"\n"
"Belt with an initial twist of 720-degrees can be untwisted and straightened out, but one with 360-degree twist cannot be untwisted.\n"
"\n"
"The Belt-Trick is performed as follows:\n"
"\n"
" Step 1: Setup belt \n"
"  a) select initial Twist (360 or 720 degrees)\n"
"  b) twist and fix belt (click 'Setup Belt')\n"
"\n"
"Step 2: Perform trick\n"
" Change 'Belt-Angle' but moving the slider\n"
"\n"
"---------------------------------------------------------------------------------------------------------------------------------------------------------\n"
"Detailed description...\n"
"\n"
"Quaternions are 4-dimensional vectors and Unit-quaternions represent orientations in the lower 3-dimensional-space. Quaternions can be thought as the vector q(theta, nhat). The parameter 'theta' represents rotation about a fixed vector 'nhat'. \n"
"\n"
"The Main-Window shows the belt as a strip of elastic and flexible material. The Auxiliary-Window shows the quaternion curve corresponding to frames along the length of belt.\n"
"\n"
"" ) );
}

