/****************************************************************************/
/*  Copyright 2005, Trustees of Indiana University                          */
/*  Author: Sidharth Thakur                                                 */
/*  Last modified: 14 January 2006                                          */
/*  License available at: <belt-trick-* folder>/docs/downloads/License.txt  */
/****************************************************************************/
#ifndef _MYMALLOC_H_
#define _MYMALLOC_H_

///////////////////////////////////////////////////////////////////////////////
//
// $Header:  $
//
// NAME: MYMALLOC
//
// BASE  CLASSES: None
//  
// PURPOSE: Memory Allocation
//
// AUTHOR: Sidharth Thakur
//
///////////////////////////////////////////////////////////////////////////////

//*****************************************************************
// Copyright policy is GNU/GPL but additional restriction is
// that you include author's name and email on all copies
// Author : Al Dev Email: alavoor@yahoo.com
//*****************************************************************

#include "all.h"

#ifdef DEBUG  //------------> DEBUG
#else  //------------> DEBUG
#define call_check(AA, BB, CC, DD) ((void) 0)
#define call_free_check(AA, BB, CC) ((void) 0)
//#define remove_ptr(AA, CC, DD) ((void) 0)
#endif //------------> DEBUG

#define my_free(NM)   (void) (local_my_free(NM))
#define my_malloc(SZ)  (local_my_malloc(SZ, __FILE__, __LINE__))
#define my_realloc(NM, SZ) (local_my_realloc(NM, SZ, __FILE__, __LINE__))

void *local_my_malloc  ( size_t size, char fname[], int lineno );

char *local_my_realloc ( char *aa, size_t size, char fname[], int lineno );

void  local_my_free ( void *ptr );

#endif
